API ReferenceapianalyticsGET /v1/outcomes/{id}/entries

GET /v1/outcomes/\{id\}/entries

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Query parameters

  • brand_id (string) required
  • limit (integer) —
  • offset (integer,null) —

Responses

200 List of entries

{
  "type": "object",
  "properties": {
    "entries": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "outcome_id": {
            "type": "string"
          },
          "subject_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "recorded_at": {
            "type": "string"
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          }
        },
        "required": [
          "id",
          "outcome_id",
          "subject_id",
          "brand_id",
          "value",
          "recorded_at",
          "metadata"
        ]
      }
    }
  },
  "required": [
    "entries"
  ]
}

404 Outcome not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://analytics.platform.loop.health/v1/outcomes/{id}/entries \
  -H "Authorization: Bearer $ACCESS_TOKEN"